### Method

# Ide BuildTarget get_cwd

#### Declaration

    gchar*
    ide_build_target_get_cwd (
      IdeBuildTarget* self
    )

#### Description

For build systems and build target providers that insist to be run in a specific place, this method gets the correct working directory.

If this method returns `NULL`, the runtime will pick a default working directory for the spawned process (usually, the user home directory in the host system, or the flatpak sandbox home under flatpak).

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| The working directory to use for this target.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.